use Cwd;
use Mojolicious::Lite -signatures;
use Mojolicious::Static;

my $static = Mojolicious::Static->new;

sub param {
    my $__ = (split(/::/,(caller(0))[3]))[-1];
    my $___ = $_[0]->$__($__) || $__;
    my @____ = $_[0]->$___($_[1]);
    return ref($____[0]) ? @{$____[0]} : $____[0];
}

get '/' => sub ($c) {
    my $q = $c->req->url->query;
    $c->render(template => 'camels', forbidden => "flag", variant => param($q, "variant"));
};

app->start;


__DATA__
@@ camels.html.ep
<html>
    <head>
        <title>🐫</title>
    </head>
    <body style="display: flex; align-items: center; flex-direction: column;">
    <div>
        % if ($variant =~ m/$forbidden/ || $variant > 2) {
            <img width="400" height="400" src="forbidden.png" />
        % } else {
            <img width="400" height="400" src="<%= $variant %>.png" />
        % }
    </div>
    <div>
        <pre>
        % if ($variant =~ m/$forbidden/ || $variant > 2) {
            The camels forbid this
        % } else {
            <%
                my $file = "public/$variant.txt";
                my $document = do {
                    local $/ = undef;
                    open my $fh, "<", $file;
                    <$fh>;
                };
            %>
            <%= $document %>
        % }
        </pre>
    </div>
    <button>More</button>
    <script>
        var searchParams = new URLSearchParams(window.location.search);
        if (!searchParams.get("variant")) {
            searchParams.set("variant", Math.floor(Math.random() * 3));
            window.location.search = searchParams.toString();
        }
        const button = document.querySelector("button");
        button.addEventListener("click", (event) => {
            searchParams.set("variant", Math.floor(Math.random() * 3));
            window.location.search = searchParams.toString();
        });
    </script>
    </body>
</html>